#!/bin/bash

set -e

echo "Migrating DB..."
./mapg db:migrate

echo "Installing crontab..."
/usr/bin/crontab docker/scripts/cron

set +e

/usr/sbin/cron -f &
/usr/sbin/php-fpm7.4 -F &
/usr/sbin/nginx -g 'daemon off;' &
/usr/bin/node multi &

wait -n

exit $?
